Bug 3755 - AutoEmailPrimaryAddress does not default to value shown in pulldown
Summary: AutoEmailPrimaryAddress does not default to value shown in pulldown
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: rel_3_0
Hardware: PC All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Paul Poulain
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-03 03:58 UTC by Jane Wagner
Modified: 2012-10-25 23:09 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:14:36 UTC


---- Reported by jwagner@ptfs.com 2009-11-03 15:58:22 ----

The patron syspref AutoEmailPrimaryAddress shows a pulldown with email as the first, default option.  However, the default value in the systempreferences table seems to be 0 (or off).  It only records email (or emailpro, or other value) if the sysadmin actively selects the value from the pulldown and clicks save.  One of the values in the pulldown is OFF.  Can this syspref be updated so that either the pulldown shows OFF as the default, or the installation default value is set to email?  That would at least solve the problem for future installations.  My personal preference would be to set the default value to email.

We have several development features that are using this syspref and it's always a problem to check if it's actually set.  There is no visual indication in Administration, System Preferences whether it's really set to email or is off.  

Also, one of the options in the pulldown is cardnumber.  Does that make any sense for an email field?  Should it be removed?



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:14 UTC  ---

This bug was previously known as _bug_ 3755 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3755

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.

Comment 1 Serhij Dubyk 2010-07-10 15:49:26 UTC
Also report about this:
koha error:

[Sat Jul 10 08:49:21 2010] [error] [client 80.243.155.77] [Sat Jul 10 08:49:21 2010] memberentry.pl: Use of uninitialized value within %newdata in pattern match (m//) at /usr/share/koha/intranet/cgi-bin/members/memberentry.pl line 259., referer: http://library.dit-tct.org:8080
/cgi-bin/koha/members/memberentry.pl?op=add&categorycode=ST
(Koha 3.0.6)

via phpmyadmin I see value AutoEmailPrimaryAddress=0

It is need to force save this variable in Koha System Admin, after this such error no occur.

It's maybe general problem, such problem also observed with variable "defaultSortField" and other.
Comment 2 Paul Poulain 2011-08-02 14:17:40 UTC
The default is now OFF, problem solved (checked installer/data/mysql/en/mandatory/sysprefs.sql)